List a form's submissions

GET
/v1/forms/{id}/submissions

Newest first. status narrows them: accepted (delivered), held (Risk asked for a review), spam and pending_confirmation (waiting for the submitter's email link).

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

id*string

The form's id.

Query Parameters

status?string

Only submissions in these statuses, comma-separated: held,spam.

limit?integer

1-100, default 20.

Range1 <= value <= 100
after?string

Cursor: the id of the last item of the previous page.

Lengthlength <= 64

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

A page of submissions.

application/json
  1. response
object*"list"
Value in"list"
data*array<>
has_more*boolean
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.forms.submissions.list("form_01kd2m8n3p4q5r6s7t8v9w0x1y");
{  "object": "list",  "data": [],  "has_more": false}